Bug 12532 - REGRESSION: Girl Scouts cookies site has a bug in Safari specific code. Needs evangelism. http://www.girlscouts.org/girlscoutcookies/
Summary: REGRESSION: Girl Scouts cookies site has a bug in Safari specific code. Needs...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Major
Assignee: Nobody
URL: http://www.girlscouts.org/girlscoutco...
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2007-02-01 11:41 PST by Kevin McCullough
Modified: 2010-01-14 09:40 PST (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin McCullough 2007-02-01 11:41:05 PST
1/18/07 4:10 PM Michael Lock:
* SUMMARY
9A347: graphic not rendered from http://www.girlscouts.org/girlscoutcookies/

* STEPS TO REPRODUCE
1. With Leopard9A347, visit http://www.girlscouts.org/girlscoutcookies/

* RESULTS
One of the many jpgs that would display at the center of the page would render

* ACTUAL results
None of those render.

1/18/07 4:17 PM Michael Lock:
Also, JavaScript is enabled in the Security preferences for Safari.
Comment 1 Kevin McCullough 2007-02-01 11:42:57 PST
1/26/07 11:14 AM Kevin McCullough:
There are two issues on the site, both are in slideshow.js which was written by dynamicdrive.com so we probably need to evangelize both them and the Girl Scouts.
1) on line 134 the variable obj in "obj.degree/100" should be "this", e.g. "this.degree/100"
2) on line 50 they forgot to add -khtml-opacity to canvasbase_1.

We now use -webkit-opacity but still honor -khtml-opacity

1/29/07 10:40 AM Kevin McCullough:
Summary: dynamicdrive.com and the Girl Scouts need to change slideshow.js in the two ways described above.

2/1/07 11:26 AM Darin Adler:
Also affects wvfc.org (see duplicate).
Comment 2 Kevin McCullough 2007-02-01 11:43:55 PST
rdar://problem/4940319
Comment 3 David Kilzer (:ddkilzer) 2007-02-01 13:29:54 PST
Kevin, is this something Mark Malone should take care of, or do you want members of the open source community to write the Girl Scouts separately?

Comment 4 Maciej Stachowiak 2007-02-07 00:50:23 PST
Let's let Mark deal with this.
Comment 5 Kevin McCullough 2007-02-07 10:44:26 PST
Mark asked me to make these evangelism bugs in bugzilla to increase their visibility.  I do not expect the open source community to handle them.
Comment 6 Lars Knoll 2007-02-12 13:01:18 PST
Closed wrong bug by mistake... :/
Comment 7 David Kilzer (:ddkilzer) 2007-03-11 10:11:26 PDT
Unless I'm mistaken, evangelism bugs should not be P1.  Downgrading from P1/Blocker to P2/Major.
Comment 8 David Kilzer (:ddkilzer) 2007-06-09 15:11:08 PDT
(In reply to comment #7)
> Unless I'm mistaken, evangelism bugs should not be P1.  Downgrading from
> P1/Blocker to P2/Major.

But it's a regression from shipping Safari, so raising back up to P1.

Comment 9 Maciej Stachowiak 2007-07-08 12:15:05 PDT
An evangelism bug can't really be a showstopper though. (If it was, we'd try to figure out a site-specific workaround).
Comment 10 David Kilzer (:ddkilzer) 2007-12-10 09:07:31 PST
Still an issue with a local debug build of WebKit r28572 using Safari 3.0.4 (523.12) on Mac OS X 10.4.11 (8S165).

Comment 11 Robert Blaut 2008-12-26 12:05:57 PST
No progress here :(
Comment 12 David Kilzer (:ddkilzer) 2008-12-29 16:33:47 PST
(In reply to comment #11)
> No progress here :(

Maybe the WebKit project should offer to buy some cookies?

Comment 13 Julio Danni 2010-01-14 07:48:21 PST
It's working fine to me with Chrome 4, webkit 532.5
Comment 14 Robert Blaut 2010-01-14 09:40:00 PST
(In reply to comment #13)
> It's working fine to me with Chrome 4, webkit 532.5

Indeed. I close the bug report as resolved fixed an evangelism bug.